%define anolis_release 3

Name:       xrandr
Version:    1.5.2
Release:    %{anolis_release}%{?dist}
Summary:    Commandline utility to change output properties
License:    MIT
URL:        https://www.x.org
Source0:    %{url}/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  make gcc
BuildRequires:  pkgconfig(xorg-macros) >= 1.8 pkgconfig(x11) pkgconfig(xrender)
BuildRequires:  pkgconfig(xproto) >= 7.0.17 pkgconfig(xrandr) >= 1.5

Obsoletes:  xorg-x11-server-utils < 7.7-40

%description
xrandr - primitive command line interface to X11 Resize, Rotate, and Reflect
(RandR) extension.

%package doc
Summary:    Documentation files for %{name}
Requires:   %{name} = %{EVR}
BuildArch:  noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_bindir}/xkeystone
%generate_compatibility_deps

%files
%{_bindir}/xrandr
%dir %{abidir}
%{abidir}/xrandr-option.list

%{_mandir}/man1/xrandr.1*
%license COPYING

%files doc
%doc INSTALL README.md ChangeLog

%changelog
* Wed Apr 12 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.5.2-3
- Refactor the specfile

* Wed Feb 8 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.5.2-2
- update abi and add doc pkg

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.5.2-1
- New version 1.5.2

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.1-1
- init from upstream
